summaryrefslogtreecommitdiffstats
path: root/source/n/libndp
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/libndp')
-rwxr-xr-xsource/n/libndp/libndp.SlackBuild22
-rw-r--r--source/n/libndp/slack-desc2
2 files changed, 18 insertions, 6 deletions
diff --git a/source/n/libndp/libndp.SlackBuild b/source/n/libndp/libndp.SlackBuild
index c29cbda4a..8aae6f1be 100755
--- a/source/n/libndp/libndp.SlackBuild
+++ b/source/n/libndp/libndp.SlackBuild
@@ -1,9 +1,9 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for libndp
# Copyright 2014 Robby Workman, Northport, Alabama, USA
-# Copyright 2015, 2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2015, 2016, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,9 +23,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=libndp
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -35,7 +37,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -78,11 +87,14 @@ CXXFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--disable-static \
--docdir=/usr/doc/$PKGNAM-$VERSION \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
diff --git a/source/n/libndp/slack-desc b/source/n/libndp/slack-desc
index 9808c0d41..408480d1d 100644
--- a/source/n/libndp/slack-desc
+++ b/source/n/libndp/slack-desc
@@ -2,7 +2,7 @@
# The "handy ruler" below makes it easier to edit a package description.
# Line up the first '|' above the ':' following the base package name, and
# the '|' on the right side marks the last column you can put a character in.
-# You must make exactly 11 lines for the formatting to be correct. It's also
+# You must make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|